#version 3.1;
//
// pov file for rendering all players in all animations
//
// based on code (C) by Oliver Vogel (e-mail: m.vogel@ndh.net)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published
// by the Free Software Foundation; either version 2; or (at your option)
// any later version
//
// This program is distributed in the hope that it will be entertaining,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
// Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//
#include "colors.inc"
#include "textures.inc"
#include "frame_defaults.inc"

#declare myClock = int((3 * 10 - 1)*clock + 0.5);
// 4 shots of each animation
// 10 pictures losing 3x, winning 3x, killed 4x
//#warning concat("\nInternal Clock ",str(myClock,4,3),"\n")

#warning concat("\nInternal Clock ",str(myClock,4,3),"\n")

#declare frameClock = mod(div(myClock,3),10);

#switch (frameClock)
  #range(0,2)
    #declare playerLosing = 1;
    #declare playerAnimationClock = frameClock;
    #declare playerLosingTime = playerAnimationClock/2;
  #break
  #range(3,5)
    #declare playerWinning = 1;
    #declare playerAnimationClock = frameClock-3;
    #declare playerWinningTime = playerAnimationClock/2;
  #break
  #range(6,9)
    #declare playerKilled = 1;
    #declare playerAngle = (frameClock-6)*90*y;
  #break
#end

#declare playerClock=mod(myClock,3);

#include "chooseColors.inc"
#include "XBlast Robot.inc"
#include "world.inc"


